Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.134
diff -u -r1.134 chan_iax2.c
--- channels/chan_iax2.c	28 Apr 2004 22:07:59 -0000	1.134
+++ channels/chan_iax2.c	29 Apr 2004 20:58:54 -0000
@@ -1804,7 +1804,7 @@
 		name = alloca(strlen(peer) * 2 + 1);
 		time(&nowtime);
 		mysql_real_escape_string(mysql, name, peer, strlen(peer));
-		snprintf(query, sizeof(query), "UPDATE iaxfriends SET ipaddr=\"%s\", port=\"%d\", regseconds=\"%ld\" WHERE name=\"%s\"", 
+		snprintf(query, sizeof(query), "UPDATE friends SET iax2_ipaddr=\"%s\", iax2_port=\"%d\", iax2_regseconds=\"%ld\" WHERE name=\"%s\"", 
 			inet_ntoa(sin->sin_addr), ntohs(sin->sin_port), nowtime, name);
 		ast_mutex_lock(&mysqllock);
 		if (mysql_real_query(mysql, query, strlen(query))) 
@@ -1832,7 +1832,7 @@
 		MYSQL_ROW rowval;
 		name = alloca(strlen(peer) * 2 + 1);
 		mysql_real_escape_string(mysql, name, peer, strlen(peer));
-		snprintf(query, sizeof(query), "SELECT name, secret, context, ipaddr, port, regseconds FROM iaxfriends WHERE name=\"%s\"", name);
+		snprintf(query, sizeof(query), "SELECT name, secret, context, iax2_ipaddr AS ipaddr, iax2_port AS port, iax2_regseconds AS regseconds FROM friends WHERE name=\"%s\" AND enabled=\"true\" AND iax2_enabled=\"true\"", name);
 		ast_mutex_lock(&mysqllock);
 		mysql_query(mysql, query);
 		if ((result = mysql_store_result(mysql))) {
@@ -1901,7 +1901,7 @@
 		MYSQL_ROW rowval;
 		name = alloca(strlen(user) * 2 + 1);
 		mysql_real_escape_string(mysql, name, user, strlen(user));
-		snprintf(query, sizeof(query), "SELECT name, secret, context, ipaddr, port, regseconds FROM iaxfriends WHERE name=\"%s\"", name);
+		snprintf(query, sizeof(query), "SELECT name, secret, context, iax2_ipaddr AS ipaddr, iax2_port AS port, iax2_regseconds AS regseconds FROM friends WHERE name=\"%s\" AND enabled=\"true\" AND iax2_enabled=\"true\"", name);
 		ast_mutex_lock(&mysqllock);
 		mysql_query(mysql, query);
 		if ((result = mysql_store_result(mysql))) {
